Sidef::Types::Hash::Hash(3)

NAME
Sidef::Types::Hash::Hash

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Hash(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Object

METHODS

  &
    a & b

Returns the

Aliases: and, intersection

  +
    a + b

Returns the

Aliases: merge, concat

  -
    a - b

Returns the

Aliases: sub, diff, difference

  ...
    a ... b

Returns the

Aliases: to_list

  ==
    a == b

Returns the

Aliases: eq

  ^
    a ^ b

Returns the

Aliases: xor, symdiff, symmetric_difference

  |
    a | b

Returns the

Aliases: or, union

  ≠
    a ≠ b

Returns the

Aliases: !=, ne

  append
    Hash.append()

Returns the

  as_tree
    Hash.as_tree()

Returns the

  clear
    Hash.clear()

Returns the

  collect
    Hash.collect()

Returns the

Aliases: collect_kv

  count
    Hash.count()

Returns the

  count_by
    Hash.count_by()

Returns the

  delete
    Hash.delete()

Returns the

Aliases: remove

  delete_if
    Hash.delete_if()

Returns the

  dig
    Hash.dig()

Returns the

  each
    Hash.each()

Returns the

Aliases: each_kv, each_pair

  each_k
    Hash.each_k()

Returns the

Aliases: each_key

  each_v
    Hash.each_v()

Returns the

Aliases: each_value

  fetch
    Hash.fetch()

Returns the

  flip
    Hash.flip()

Returns the

Aliases: invert, reverse

  get_pair
    Hash.get_pair()

Returns the

  get_pairs
    Hash.get_pairs()

Returns the

  grep
    Hash.grep()

Returns the

Aliases: grep_kv, select

  grep_v
    Hash.grep_v()

Returns the

Aliases: grep_val

  has
    Hash.has()

Returns the

Aliases: exists, has_key, haskey, contain, include, contains, includes

  is_empty
    Hash.is_empty()

Returns the

  item
    Hash.item()

Returns the

  items
    Hash.items()

Returns the

  keys
    Hash.keys()

Returns the

  kv
    Hash.kv()

Returns the

Aliases: to_a, pairs, to_array

  len
    Hash.len()

Returns the

Aliases: size, length

  lsel
    Hash.lsel()

Returns the

Aliases: linsel, linear_selection

  map
    Hash.map()

Returns the

Aliases: map_kv

  map_v
    Hash.map_v()

Returns the

Aliases: map_val

  max_by
    Hash.max_by()

Returns the

  merge_values
    Hash.merge_values()

Returns the

  min_by
    Hash.min_by()

Returns the

  new
    Hash.new()

Returns the

Aliases: call

  same_keys
    Hash.same_keys()

Returns the

  set_keys
    Hash.set_keys()

Returns the

  slice
    Hash.slice()

Returns the

  sort
    Hash.sort()

Returns the

  sort_by
    Hash.sort_by()

Returns the

  to_bag
    Hash.to_bag()

Returns the

  to_s
    Hash.to_s()

Returns the

Aliases: dump, to_str

  to_set
    Hash.to_set()

Returns the

  values
    Hash.values()

Returns the